Bug 474167 - Unable to run puppet status on RHEL4
Unable to run puppet status on RHEL4
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Robert Rati
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 11:02 EST by Robert Rati
Modified: 2009-02-04 11:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:06:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for init file (324 bytes, patch)
2008-12-02 15:39 EST, Robert Rati
no flags Details | Diff
Patch for spec file (13.76 KB, patch)
2008-12-02 15:39 EST, Robert Rati
no flags Details | Diff
Correct patch for the spec file. Ignore other file. (782 bytes, patch)
2008-12-02 15:45 EST, Robert Rati
no flags Details | Diff

  None (edit)
Description Robert Rati 2008-12-02 11:02:50 EST
Description of problem:
service puppet status
pidof: invalid options on command line!

pidof: invalid options on command line!

-p is stopped


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2008-12-02 15:39:10 EST
Created attachment 325423 [details]
patch for init file
Comment 2 Robert Rati 2008-12-02 15:39:37 EST
Created attachment 325424 [details]
Patch for spec file
Comment 3 Robert Rati 2008-12-02 15:44:04 EST
Comment on attachment 325424 [details]
Patch for spec file

--- puppet.spec 2008-11-20 12:23:58.000000000 -0600
+++ puppet.spec.rhel4   2008-12-02 14:41:55.230674331 -0600
@@ -3,7 +3,7 @@
 
 Name:           puppet
 Version:        0.24.6
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A network tool for managing many disparate systems
 
 Group:          System Environment/Base
@@ -11,6 +11,7 @@
 License:        GPLv2+
 URL:            http://puppet.reductivelabs.com/
 Source0:        http://reductivelabs.com/downloads/puppet/%{name}-%{version}.tgz
+Patch0:         rhel4_init.patch
 BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
 BuildRequires:  ruby >= 1.8.1
@@ -50,6 +51,9 @@
 
 %prep
 %setup -q
+%if 0%{?rhel} == 4
+%patch0 -p1 -b .rhel4
+%endif
 
 %build
 for f in bin/* ; do
Comment 4 Robert Rati 2008-12-02 15:45:10 EST
Created attachment 325425 [details]
Correct patch for the spec file.  Ignore other file.
Comment 5 Bryan Kearney 2008-12-03 14:42:46 EST
Any luck on the testing of these:

RHEL4: https://brewweb.devel.redhat.com/taskinfo?taskID=1596797
RHEL5: https://brewweb.devel.redhat.com/taskinfo?taskID=1596806
Comment 6 Robert Rati 2008-12-03 16:03:03 EST
The RHEL4 RPM is a noarch for some reason (past ones were arch dependent), which is nice.  Unfortunate, installing the RHEL4 RPM results in a non-working puppet.


/etc/init.d/puppet start
Starting puppet: /usr/sbin/puppetd:164:in `require': No such file to load -- puppet (LoadError)
        from /usr/sbin/puppetd:164
                                                           [FAILED]

The patch I provided only touched the status function of the initscript (which seems to work correctly now), so not sure what is causing this.  Build issue?
Comment 7 Robert Rati 2008-12-04 18:52:29 EST
service puppet start
Starting puppet:                                           [  OK  ]

service puppet status
puppetd (pid 15916) is running...


Looks good.
Comment 8 Ingvar Hagelund 2009-01-19 07:00:36 EST
Any plans to apply this to newer puppet EPEL packages? It was unfortunately not added to 0.24.7-4 that was recently released.

Ingvar


el4# rpm -q puppet
puppet-0.24.7-4.el4

el4# service puppet status
pidof: invalid options on command line!

pidof: invalid options on command line!

-p is stopped
Comment 10 errata-xmlrpc 2009-02-04 11:06:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.